| Qore DataProvider Module Reference 1.2.1

Public Member Functions | Protected Member Functions | List of all members
DataProvider::DefaultBulkRecordIterface Class Reference

Default bulk record interface class for data providers that do not support bulk read APIs. More...

Inheritance diagram for DataProvider::DefaultBulkRecordIterface:
[legend]

## Public Member Functions
| constructor (int block_size, AbstractDataProviderRecordIterator i)
| Returns an iterator for zero or more records matching the search options. More...
Public Member Functions inherited from DataProvider::AbstractDataProviderBulkRecordInterface
| constructor (int block_size)
| Creates the object. More...
int | getBlockSize ()
| Returns the block size.
AbstractDataProviderRecordIterator | getRecordIterator ()
| Returns a standard record iterator for this bulk iterator. More...
*hash< string, AbstractDataField > | getRecordType ()
| Returns the record description, if available. More...
*hash< string, auto > | getValue ()
| Returns a hash of lists (or constant values) according to the block size or NOTHING if no more data is available. More...
bool | valid ()
| Returns True if there are more records to return.

## Protected Member Functions
hash< string, list< auto > > | getValueImpl ()
| Returns a hash of lists according to the block size. More...

## Additional Inherited Members
Protected Attributes inherited from DataProvider::AbstractDataProviderBulkRecordInterface
int | block_size
| The record block size.
bool | valid = True
| Valid flag.

## Detailed Description

Default bulk record interface class for data providers that do not support bulk read APIs.

## Member Function Documentation

## ◆ constructor()

DataProvider::DefaultBulkRecordIterface::constructor | ( | int | block_size,
|  | AbstractDataProviderRecordIterator | i
| ) |  |

Returns an iterator for zero or more records matching the search options.

Parameters

  i | the iterator; must return a record hash in the getValue() method
  where_cond | the search criteria
  search_options | the search options after processing by validateSearchOptions()

## ◆ getValueImpl()

hash<string, list<auto> > DataProvider::DefaultBulkRecordIterface::getValueImpl | ( |  | ) |
| protected virtual

Returns a hash of lists according to the block size.

Exceptions

  INVALID-ITERATOR | the iterator is not pointing at a valid element

Note
  This call moves the internal record pointer forward, therefore multiple calls of this methods will return different results as long as data is available

Implements DataProvider::AbstractDataProviderBulkRecordInterface.